module TikaMasala
  class TikaError < StandardError
    attr_reader :stdout

    def initialize(options = {})
      @stdout = options.fetch(:stdout, '')

      super("Non-zero exit code (#{options[:exitstatus]}): #{options[:stderr]}")
    end
  end
end
